Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.desktop2
Class DesktopMDI

    java.lang.Object
      madkit.desktop2.DesktopMDI

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ComponentListener, java.awt.event.MouseListener, java.awt.event.WindowListener, java.util.EventListener, Desktop

Direct Known Subclasses:
  DesktopFullscreen, DesktopWithContainer

    public abstract class DesktopMDI

extends java.lang.Object
implements Desktop, java.awt.event.WindowListener, java.awt.event.ActionListener, java.awt.event.ComponentListener, java.awt.event.MouseListener

Field Summary
`protected javax.swing.JMenuItem` | `addIcon`
`protected madkit.desktop2.AgentInfo` | `ai`
`protected javax.swing.JPanel` | `bar`
`protected boolean` | `bool`
`protected DesktopBar` | `dBar`
`protected MonJDesktopPane` | `desktop`
`protected DesktopAgentGUI` | `desktopAgentGUI`
`protected java.util.HashMap` | `icons`
`protected java.util.HashMap` | `internalFrames`
`protected javax.swing.JInternalFrame` | `madkitOutputFrame`
`protected javax.swing.JMenuItem` | `output`
`protected javax.swing.JPopupMenu` | `popupMenu`
`protected javax.swing.JMenuItem` | `property`
`protected madkit.desktop2.PropertyDesktop` | `propertyDesktop`
`protected madkit.desktop2.PropertyFrame` | `propertyFrame`
`protected javax.swing.JMenuItem` | `reorder`
`protected StartMenu` | `startMenu`
`protected madkit.desktop2.WindowManager` | `wm`

Constructor Summary
`DesktopMDI()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addComponent(madkit.desktop2.AgentInfo _ai, java.awt.Component c)`
`void` | `addIcon(IconInfo iconInfo)`
`void` | `addMenuSystem(javax.swing.JMenuItem menuSystem)`
`void` | `addNewIcon(IconInfo iconInfo)`
`protected void` | `addToStartMenu(javax.swing.JMenu menu, madkit.desktop2.MenuInfo menuInfo)`
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)`
`void` | `componentShown(java.awt.event.ComponentEvent e)`
`protected void` | `createStartMenu(java.util.LinkedList menuInfos)`
`void` | `dispose()`
`java.awt.Color` | `getBackgroundColor()`
`int` | `getHeight()`
`int` | `getScreenHeight()`
`int` | `getScreenWidth()`
`java.lang.String` | `getSkinTheme()`
`boolean` | `getSkinUse()`
`abstract java.awt.Component` | `getTopComponent()`
`java.lang.String` | `getWallpaperPath()`
`java.lang.String` | `getWallpaperPos()`
`int` | `getWidth()`
`void` | `IconChanged(IconInfo iconInfo)`
`void` | `init(madkit.desktop2.AgentInfo ai, java.util.LinkedList menuInfos, DesktopAgentGUI desktopAgentGUI)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `removeComponent(java.awt.Component c)`
`void` | `removeIcon(IconInfo icon)`
`void` | `removeIconAdderFrame(javax.swing.JInternalFrame f)`
`void` | `removePropertyFrame()`
`protected void` | `saveIconState(IconInfo iconInfo, DesktopIcon desktopIcon)`
`void` | `setBackgroundColor(java.awt.Color color)`
`abstract boolean` | `setBarOrientation(java.lang.String orientation)`
`void` | `setProperty(madkit.desktop2.PropertyDesktop propertyDesktop)`
`void` | `setSkinTheme(java.lang.String b)`
`void` | `setSkinUse(boolean b)`
`void` | `setWallpaperPath(java.lang.String path)`
`void` | `setWallpaperPos(java.lang.String pos)`
`abstract void` | `show()`
`void` | `toBack(java.awt.Component c)`
`void` | `toFront(java.awt.Component c)`
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosed(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent e)`
`void` | `windowDeactivated(java.awt.event.WindowEvent e)`
`void` | `windowDeiconified(java.awt.event.WindowEvent e)`
`void` | `windowIconified(java.awt.event.WindowEvent e)`
`void` | `windowOpened(java.awt.event.WindowEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### internalFrames

    protected java.util.HashMap internalFrames

### icons

    protected java.util.HashMap icons

### ai

    protected madkit.desktop2.AgentInfo ai

### desktop

    protected MonJDesktopPane desktop

### startMenu

    protected StartMenu startMenu

### dBar

    protected DesktopBar dBar

### bar

    protected javax.swing.JPanel bar

### propertyDesktop

    protected madkit.desktop2.PropertyDesktop propertyDesktop

### propertyFrame

    protected madkit.desktop2.PropertyFrame propertyFrame

### popupMenu

    protected javax.swing.JPopupMenu popupMenu

### property

    protected javax.swing.JMenuItem property

### output

    protected javax.swing.JMenuItem output

### addIcon

    protected javax.swing.JMenuItem addIcon

### reorder

    protected javax.swing.JMenuItem reorder

### desktopAgentGUI

    protected DesktopAgentGUI desktopAgentGUI

### madkitOutputFrame

    protected javax.swing.JInternalFrame madkitOutputFrame

### bool

    protected boolean bool

### wm

    protected madkit.desktop2.WindowManager wm

Constructor Detail

### DesktopMDI

    public DesktopMDI()

Method Detail

### init

    public void init(madkit.desktop2.AgentInfo ai,
                     java.util.LinkedList menuInfos,
                     DesktopAgentGUI desktopAgentGUI)

  Specified by:
    `init` in interface `Desktop`

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `Desktop`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in interface `Desktop`

### toFront

    public void toFront(java.awt.Component c)

  Specified by:
    `toFront` in interface `Desktop`

### toBack

    public void toBack(java.awt.Component c)

  Specified by:
    `toBack` in interface `Desktop`

### createStartMenu

    protected void createStartMenu(java.util.LinkedList menuInfos)

### addToStartMenu

    protected void addToStartMenu(javax.swing.JMenu menu,
                                  madkit.desktop2.MenuInfo menuInfo)

### addMenuSystem

    public void addMenuSystem(javax.swing.JMenuItem menuSystem)

  Specified by:
    `addMenuSystem` in interface `Desktop`

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### getWallpaperPath

    public java.lang.String getWallpaperPath()

### getWallpaperPos

    public java.lang.String getWallpaperPos()

### getSkinUse

    public boolean getSkinUse()

### setSkinUse

    public void setSkinUse(boolean b)

### getSkinTheme

    public java.lang.String getSkinTheme()

### setSkinTheme

    public void setSkinTheme(java.lang.String b)

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color color)

### setWallpaperPath

    public void setWallpaperPath(java.lang.String path)

### setWallpaperPos

    public void setWallpaperPos(java.lang.String pos)

### getScreenWidth

    public int getScreenWidth()

### getScreenHeight

    public int getScreenHeight()

### addIcon

    public void addIcon(IconInfo iconInfo)

  Specified by:
    `addIcon` in interface `Desktop`

### removeIcon

    public void removeIcon(IconInfo icon)

  Specified by:
    `removeIcon` in interface `Desktop`

### setProperty

    public void setProperty(madkit.desktop2.PropertyDesktop propertyDesktop)

  Specified by:
    `setProperty` in interface `Desktop`

### addComponent

    public void addComponent(madkit.desktop2.AgentInfo _ai,
                             java.awt.Component c)

  Specified by:
    `addComponent` in interface `Desktop`

### removeComponent

    public void removeComponent(java.awt.Component c)

  Specified by:
    `removeComponent` in interface `Desktop`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Desktop`

### saveIconState

    protected void saveIconState(IconInfo iconInfo,
                                 DesktopIcon desktopIcon)

### removePropertyFrame

    public void removePropertyFrame()

### removeIconAdderFrame

    public void removeIconAdderFrame(javax.swing.JInternalFrame f)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

### addNewIcon

    public void addNewIcon(IconInfo iconInfo)

### IconChanged

    public void IconChanged(IconInfo iconInfo)

### getTopComponent

    public abstract java.awt.Component getTopComponent()

  Specified by:
    `getTopComponent` in interface `Desktop`

### setBarOrientation

    public abstract boolean setBarOrientation(java.lang.String orientation)

### show

    public abstract void show()

  Specified by:
    `show` in interface `Desktop`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.